Browse Source

gnu: elm-compiler: Fix Cabal dependency constraints.

This package used a patch to update the Cabal version constraints for
'language-glsl'.  This is now done in a phase for consistency with
other Haskell packages.

* gnu/packages/elm.scm (elm-compiler): Add a phase that updates the
Cabal file to allow for newer versions of 'ansi-terminal',
'containers', 'http-client', 'language-glsl', and 'network'.
[source]: Remove 'elm-compiler-relax-glsl-bound.patch'.
* gnu/packages/patches/elm-compiler-relax-glsl-bound.patch: Delete file.
* gnu/local.mk: Remove it.
gn-latest-20200428
Timothy Sample 2 years ago
parent
commit
eef308d62a
No known key found for this signature in database GPG Key ID: 2AC6A5EC1C357C59
3 changed files with 17 additions and 21 deletions
  1. +0
    -1
      gnu/local.mk
  2. +17
    -1
      gnu/packages/elm.scm
  3. +0
    -19
      gnu/packages/patches/elm-compiler-relax-glsl-bound.patch

+ 0
- 1
gnu/local.mk View File

@ -796,7 +796,6 @@ dist_patch_DATA = \
%D%/packages/patches/elixir-path-length.patch \
%D%/packages/patches/elm-compiler-disable-reactor.patch \
%D%/packages/patches/elm-compiler-fix-map-key.patch \
%D%/packages/patches/elm-compiler-relax-glsl-bound.patch \
%D%/packages/patches/emacs-dired-toggle-sudo-emacs-26.patch \
%D%/packages/patches/emacs-exec-path.patch \
%D%/packages/patches/emacs-fix-scheme-indent-function.patch \


+ 17
- 1
gnu/packages/elm.scm View File

@ -47,9 +47,25 @@
(base32 "0s93z9vr0vp5w894ghc5s34nsq09sg1msf59zfiba87sid5vgjqy"))
(patches
(search-patches "elm-compiler-disable-reactor.patch"
"elm-compiler-relax-glsl-bound.patch"
"elm-compiler-fix-map-key.patch"))))
(build-system haskell-build-system)
(arguments
`(#:phases
(modify-phases %standard-phases
(add-after 'unpack 'update-constraints
(lambda _
(substitute* "elm.cabal"
(("ansi-terminal >= 0\\.8 && < 0\\.9,")
"ansi-terminal >= 0.8 && < 0.10,")
(("containers >= 0\\.5\\.8\\.2 && < 0\\.6,")
"containers >= 0.5.8.2 && < 0.7,")
(("http-client >= 0\\.5 && < 0\\.6,")
"http-client >= 0.5 && < 0.7,")
(("language-glsl >= 0\\.0\\.2 && < 0\\.3,")
"language-glsl >= 0.0.2 && < 0.4,")
(("network >= 2\\.4 && < 2\\.7,")
"network >= 2.4 && < 2.9,"))
#t)))))
(inputs
`(("ghc-ansi-terminal" ,ghc-ansi-terminal)
("ghc-ansi-wl-pprint" ,ghc-ansi-wl-pprint)


+ 0
- 19
gnu/packages/patches/elm-compiler-relax-glsl-bound.patch View File

@ -1,19 +0,0 @@
commit 4c649a5a270aba15cc6a3913c3ad51a293047f40
Author: Rémi Lefèvre <rlefevre@gmail.com>
Date: Mon Sep 3 19:18:54 2018 +0200
update language-glsl maximum version
diff --git a/elm.cabal b/elm.cabal
index 48aa84f0..464fe9d5 100644
--- a/elm.cabal
+++ b/elm.cabal
@@ -246,7 +246,7 @@ Executable elm
http-client >= 0.5 && < 0.6,
http-client-tls >= 0.3 && < 0.4,
http-types >= 0.9 && < 1.0,
- language-glsl >= 0.0.2 && < 0.3,
+ language-glsl >= 0.0.2 && < 0.4,
logict,
mtl >= 2.2.1 && < 3,
network >= 2.4 && < 2.7,

Loading…
Cancel
Save